logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



PHP 7.3.5, 7.2.18, 7.1.29, 7.0.33, 5.6.39, 5.5, 5.4, 5.3
Goto page Previous  1, 2, 3 ... , 9, 10, 11  Next
 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Sat 21 Jul '18 19:32    Post subject: Reply with quote

laurin1 wrote:
Ok, I moved all of the DLL file from imagemagick\modules/\coders to the root of the imagemagick folder and that worked. I think I had to do that before.

Is there a recommended way to configure this? I don't want to put multiple ImageMagick folders in my path.

What I always do for compiling PHP is run the installer and put ImageMagick in
Code:
C:\Program Files\ImageMagick (x64 version)

Code:
C:\Program Files (x86)\ImageMagick (x86 version)

You do not hae to add it to your system path. Something likes this:

Then you have to put only the core_*.dll's in the imagick folder. The im_*.dll's are automagically found by the imagick extension.

I have now updated the PHP 7.2 version to 6.9.9-49. Try the installer for the x64 PHP 7.2 version here:
https://ci.appveyor.com/project/Jan-E/imagemagick-windows/build/ImageMagick-ImageMagick-Windows-6-VS2017.136/job/cvrltrc5cm3rnkpt/artifacts
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 36
Location: Flower Mound, TX

PostPosted: Sun 22 Jul '18 14:09    Post subject: Reply with quote

Ok, but we deploy this tool using scripts, so I need just files, not to have to run an installer and then remove any pieces I don't use. I've already prepared my deployment using your previous version, but I'll test with the updated php_imagemagick.dll when I get a chance.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Wed 15 Aug '18 18:16    Post subject: Reply with quote

All builds recompiled with OpenSSL 1.0.2p. Reminder: do not mix PHP 7.2 extensions that use OpenSSL with those of the official builds by php.net, because these are using the incompatible OpenSSL 1.1.0.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Wed 12 Sep '18 12:10    Post subject: Reply with quote

There is a security update for all PHP versions. I backported this patch to my builds of PHP 5.3, 5.4 and 5.5:
https://github.com/php/php-src/commit/23b057742e3cf199612fa8050ae86cae675e214e
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Thu 22 Nov '18 10:39    Post subject: Reply with quote

Updated all versions of PHP 5 as well as PHP 7.0 and 7.1 to OpenSSL 1.0.2q-fips. PHP 7.2.13 will follow suit in 14 days. See https://www.apachelounge.com/viewtopic.php?t=8156 for the OpenSSL release info.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Fri 07 Dec '18 10:07    Post subject: PHP 7.3.0 released Reply with quote

"Christoph M. Becker" in php.internals (Thu, 6 Dec 2018 16:33:34 +0100):
Quote:
The PHP development team announces the immediate availability of PHP 7.3.0. This release marks the third feature update to the PHP 7 series.

PHP 7.3.0 comes with numerous improvements and new deatures such as

- Flexible Heredoc and Nowdoc Syntax
- PCRE2 Migration
- Multiple MBString Improvements
- LDAP Controls Support
- Improved FPM Logging
- Windows File Deletion Improvements
- Several Deprecations

For source downloads of PHP 7.3.0 please visit our downloads page. Windows binaries can be found on the PHP for Windows site. The list of changes is recorded in the ChangeLog.

The migration guide will be available in the PHP Manual, shortly. Please consult it for the detailed list of new features and backward incompatible changes.

Release Announcement: https://php.net/releases/7_3_0.php
Downloads: https://php.net/downloads
Windows downloads: https://windows.php.net/download
Changelog: https://php.net/ChangeLog-7.php#7.3.0
Migration guide: https://php.net/manual/en/migration73.php

Many thanks to all the contributors and supporters!

Christoph M. Becker, Stanislav Malyshev
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Fri 07 Dec '18 10:32    Post subject: PHP 5.6 and PHP 7.0 out of support Reply with quote

As of December 31, 2018, both PHP 5.6 and PHP 7.0 will have reached end of life. See https://php.net/supported-versions.php

Those PHP versions will not receive critical security fixes anymore. PHP 5.6.39 and PHP 7.0.33 are the last scheduled versions of their branch:
https://secure.php.net/releases/5_6_39.php
https://secure.php.net/releases/7_0_33.php

I will still be updating my builds for these versions regularly, for instance when dependencies like Curl are updated. Expect new builds after Wednesday December 12 (the next release of curl).
Back to top
Zachary_blackjyn



Joined: 08 Dec 2018
Posts: 1

PostPosted: Sat 08 Dec '18 11:50    Post subject: Pthreads and BBCode ext not included in v7.3 builds Reply with quote

Thank you for your effort building PHP with extra extensions in a one pack.
I found that v7.3 builds didn't include pthreads and bbcode?
Why they were missing? I really need that , and currently can't find somewhere else
Thanks
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Tue 11 Dec '18 10:13    Post subject: Re: Pthreads and BBCode ext not included in v7.3 builds Reply with quote

Zachary_blackjyn wrote:
I found that v7.3 builds didn't include pthreads and bbcode?
Why they were missing? I really need that , and currently can't find somewhere else

pthreads and bbcode were not adjusted yet to the internal changes in PHP 7.3.x. I managed to make them compile now. Please report back if both extensions work as expected.
Back to top
k8080



Joined: 07 Jun 2013
Posts: 5
Location: Beijing

PostPosted: Wed 19 Dec '18 9:46    Post subject: wincache is missing Reply with quote

Hi Jan-E,

ext/php_wincache.dll is missing in "7.1.25-nts-x64", "7.2.13-nts-x64" and "7.3.0-nts-x64", is because the extension compile error?

Thank you so much!
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Wed 19 Dec '18 13:23    Post subject: Reply with quote

Ouch. pthreads and wincache got mixed up. 7.2.13 nts x64 is already re-compiled. The others will follow. Except 7.3, because wincache does not compile yet for 7.3 nts.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Sun 30 Dec '18 21:43    Post subject: Reply with quote

I changed the OpenSSL version for my PHP 7.2 and 7.3 builds from OpenSSL 1.0.2-fips to OpenSSL-1.1.1 (no Fips yet). Both OpenSSL versions are LTS (Long Time Support). However support for OpenSSL 1.0.2 will end on 2019-12-31:

https://www.openssl.org/policies/releasestrat.html

Support for OpenSSL 1.1.0 ends even sooner. One year after the release of OpenSSL 1.1.0 implies end of support at 2019-09-11. I will try to update my 7.0 and 7.1 builds to OpenSSL 1.1.1 as well.

Fips for OpenSSL 1.1.1 is announced, but will take some time:
https://www.openssl.org/blog/blog/2018/09/25/fips/
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Thu 10 Jan '19 2:27    Post subject: Reply with quote

I upgraded OpenLDAP to version 2.4.47 in all PHP-versions with OpenSSL 1.1.1 (7.3, 7.2 and the special build of PHP 7.1).

Reason: previous versions of OpenLDAP caused a crash with ldaps: https://www.apachelounge.com/viewtopic.php?p=37710#37710
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Thu 10 Jan '19 2:54    Post subject: Re: PHP 5.6 and PHP 7.0 out of support Reply with quote

Jan-E wrote:
Those PHP versions will not receive critical security fixes anymore. PHP 5.6.39 and PHP 7.0.33 are the last scheduled versions of their branch:
https://secure.php.net/releases/5_6_39.php
https://secure.php.net/releases/7_0_33.php

Never say never. PHP 5.6.40 will be released this Friday: https://github.com/php/php-src/commits/PHP-5.6.40
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Thu 07 Feb '19 13:21    Post subject: Reply with quote

Recompiled everything with curl 7.64.0
Back to top
ch1902



Joined: 25 Sep 2013
Posts: 4

PostPosted: Tue 26 Feb '19 19:39    Post subject: Reply with quote

Hi Jan, is it possible to include the PECL extensions php_http, php_stem, php_oauth and php_solr in your builds without too much trouble? I could only manage to build the stem extension myself as it is a fairly simple one. I couldn't get the other 3 to build, something about SSL dependencies for oauth and solr, and missing includes for http, that I wasn't sure how to fix.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Wed 27 Feb '19 1:30    Post subject: Reply with quote

php_http, php_oauth and php_solr are already there. For php_http you'll need php_propro and php_raphf as well.

php_stem seems to compile fine for PHP 7.3.3RC1. Which PHP-version are you looking for? x86 or x64, TS or NTS?
Back to top
ch1902



Joined: 25 Sep 2013
Posts: 4

PostPosted: Fri 01 Mar '19 13:29    Post subject: Reply with quote

Jan-E wrote:
php_http, php_oauth and php_solr are already there. For php_http you'll need php_propro and php_raphf as well.

php_stem seems to compile fine for PHP 7.3.3RC1. Which PHP-version are you looking for? x86 or x64, TS or NTS?


Sorry, I didn't notice the extensions the first time because they weren't being loaded or displaying in phpinfo(). I've fixed all but php_http, for some reason that is consistently not getting loaded

Code:
C:\dev\php\ext>php -m

Warning: PHP Startup: Unable to load dynamic library 'http' (tried: ext\http (The specified module could not be found.), ext\php_http.dll (The specified module could not be found.)) in Unknown on line 0


Are there any dependencies or libraries I should have installed, other than propro and raphf (which do load fine btw)? Deplister says I am OK:

Code:
C:\dev\php\ext>C:\dev\php\deplister.exe php_http.dll
php7ts.dll,OK
icuuc62.dll,OK
WS2_32.dll,OK
libssl-1_1-x64.dll,OK
libcrypto-1_1-x64.dll,OK
WLDAP32.dll,OK
Normaliz.dll,OK
USER32.dll,OK
php_propro.dll,OK
php_raphf.dll,OK
KERNEL32.dll,OK
VCRUNTIME140.dll,OK
api-ms-win-crt-heap-l1-1-0.dll,OK
api-ms-win-crt-string-l1-1-0.dll,OK
api-ms-win-crt-convert-l1-1-0.dll,OK
api-ms-win-crt-runtime-l1-1-0.dll,OK
api-ms-win-crt-stdio-l1-1-0.dll,OK
api-ms-win-crt-time-l1-1-0.dll,OK
api-ms-win-crt-utility-l1-1-0.dll,OK
api-ms-win-crt-filesystem-l1-1-0.dll,OK
api-ms-win-crt-environment-l1-1-0.dll,OK


I'm running Apache/2.4.38 (Win64) PHP/7.3.2 OpenSSL/1.1.1a.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 936
Location: Amsterdam, NL, EU

PostPosted: Fri 01 Mar '19 13:42    Post subject: Reply with quote

php_http is dependendent on php_propro and php_raphf:
Jan-E wrote:
php_http, php_oauth and php_solr are already there. For php_http you'll need php_propro and php_raphf as well.

You will have to load them in your php.ini before php_http.
Back to top
ch1902



Joined: 25 Sep 2013
Posts: 4

PostPosted: Sun 03 Mar '19 20:26    Post subject: Reply with quote

Jan-E wrote:
php_http is dependendent on php_propro and php_raphf:
Jan-E wrote:
php_http, php_oauth and php_solr are already there. For php_http you'll need php_propro and php_raphf as well.

You will have to load them in your php.ini before php_http.


Code:
propro
Property proxy support   enabled
Extension version    2.1.0
raphf
Resource and persistent handle factory support   enabled
Extension version    2.0.1dev


They are, my php.ini hasn't changed from 7.2 to 7.3 and php_http used to work, so I don't know why the 7.3 version isn't being loaded.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads Goto page Previous  1, 2, 3 ... , 9, 10, 11  Next
Page 10 of 11